"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Controller = void 0;
const utils_1 = require("./utils");
class Controller {
    constructor(ctx) {
        this.ctx = ctx;
        this.ctx = ctx;
        this.paramsGet = this.ctx.query;
        this.paramsPost = this.ctx.request.body;
        this.params = Object.assign(Object.assign({}, this.paramsGet), this.paramsPost);
    }
    getParam(name) {
        if (!name || typeof name !== "string")
            return;
        return this.params[name];
    }
    getGetParam(name) {
        if (!name || typeof name !== "string")
            return;
        return this.paramsGet[name];
    }
    getPostParam(name) {
        if (!name || typeof name !== "string")
            return;
        return this.paramsGet[name];
    }
    json(data = null, code = 0, message = "success") {
        utils_1.sendHttpResponse(this.ctx, { data, code, message });
    }
}
exports.Controller = Controller;
