"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runWithDebugCheck = exports.sendHttpResponse = void 0;
const config_1 = require("./config");
function sendHttpResponse(ctx, message) {
    const defaultMessage = {
        data: null,
        code: 0,
        message: "success",
    };
    ctx.status = 200;
    ctx.type = "application/json; charset=UTF-8";
    ctx.body = JSON.stringify(Object.assign(Object.assign({}, defaultMessage), message));
}
exports.sendHttpResponse = sendHttpResponse;
function runWithDebugCheck(fn) {
    if (!!config_1.getConfig("debug")) {
        fn === null || fn === void 0 ? void 0 : fn();
    }
}
exports.runWithDebugCheck = runWithDebugCheck;
